#include <iostream>
using namespace std;
int druzeljubivost[100000] = {0};
int poznanstva[100000] = {0};
int main(){
    int n,m;
    cin >> n >> m;
    for(int i = 0;i < n;i++){
        int a;
        cin >> a;
        if(a < 0)
            a = -1*a;
        druzeljubivost[i] = a;
        poznanstva[i] = 0;
    }
    for(int i = 0;i < m;i++){
        int a,b;
        cin >> a >> b;
        poznanstva[a-1]++;
        poznanstva[b-1]++;
    }
    int sum = 0;
    for(int i = 0;i < n;i++){
        sum += druzeljubivost[i]*poznanstva[i];
    }
    cout << sum;
}